Inhalte

# Funktion MIRR [VBA]

Gibt den modifizierten internen Zinsfuß einer Reihe von Investitionen aus.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    MIRR(Values() as Double, Investment as Double, ReinvestRate as Double)

### Rückgabetyp:

Double

### Parameter:

Values(): Eine Matrix mit Kapitalflüssen, die eine Reihe von Zahlungen und Einkünften darstellen, wobei negative Werte wie Zahlungen und positive Werte wie Einkünfte behandelt werden. Die Matrix muss mindestens einen negativen und einen positiven Wert enthalten.

Investment: ist der Zinssatz der Investitionen (die negativen Werte der Matrix).

ReinvestRate: der Zinssatz der Wiederanlage (die positiven Werte der Matrix).

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleMIRR
     Dim cashFlow(0 to 3) As Double
     cashFlow(0) = -5
     cashFlow(1) = 10
     cashFlow(2) = 15
     cashFlow(3) = 8
     mirrValue = MIRR(cashFlow,0.5,0.1) * 100
     Print mirrValue ' Gibt 94,16 zurück. Die veränderte interne Rendite des Kapitalflusses.
    End Sub

Verwandte Themen

Funktion QIKV (MIRR) in CALC

VBA – Finanzmathematische Funktionen